Debian Bug report logs - #667863
transition: octave 3.2 -> 3.6

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Rafael Laboissiere <rafael@laboissiere.net>

Date: Sat, 7 Apr 2012 07:21:01 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667863; Package release.debian.org. (Sat, 07 Apr 2012 07:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Laboissiere <rafael@laboissiere.net>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 07 Apr 2012 07:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rafael Laboissiere <rafael@laboissiere.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: octave 3.2 -> 3.6
Date: Sat, 7 Apr 2012 09:17:19 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

The Debian Octave Group (DOG) is preparing the transition from Octave 3.2
to 3.6.  There will be an important impact on the Debian ecosystem
because we abandoned the versioned naming scheme.  Indeed, the Octave
package currently in stable/testing is called octave3.2.  From now on, it
will be called simply octave (which will conflict/replace octave3.2).

After the transition is completed, we will ask for the removal of the
octave3.2* packages.  This will affect a large number of packages in
testing.  We are coordinating this transition through our wiki page [1].

There are two types of packages involved.  First, the Octave-Forge [2]
packages that are maintained by the DOG itself.  We have already ported
all of them and requested removal of the obsolete ones.

Second, packages not maintained by the DOG that have reverse dependencies
on the octave3.2* packages.  The situation of each one of these packages
have been analyzed and appropriate bug reports with patches have been
filed [3].

We have also filed a RC bug report (Bug#661521) against the octave
package currently in unstable (version 3.6.1-4).  We will wait until all
Octave-Forge packages, at least, are ready for migration into testing
before we close that bug report.  The expected date when this will happen
is April 15, 2012.

Best,

Rafael Laboissière

[1] http://wiki.debian.org/Teams/DebianOctaveGroup#Migration_to_git-buildpackage_and_Octave_3.6
[2] http://octave.sf.net
[3] http://wiki.debian.org/Teams/DebianOctaveGroup#Reverse_dependencies_on_octave3.2.2A_packages





Added blocking bug(s) of 667863: 666927 and 666894 Request was from Sébastien Villemot <sebastien.villemot@ens.fr> to control@bugs.debian.org. (Sat, 07 Apr 2012 09:03:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 667863: 666501, 666732, 667063, and 666959 Request was from Sébastien Villemot <sebastien.villemot@ens.fr> to control@bugs.debian.org. (Sat, 07 Apr 2012 09:06:20 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Thu, 12 Apr 2012 23:06:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667863; Package release.debian.org. (Mon, 16 Apr 2012 10:21:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien.villemot@ens.fr>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 16 Apr 2012 10:21:21 GMT) Full text and rfc822 format available.

Message #16 received at 667863@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien.villemot@ens.fr>
To: Mehdi Dogguy <Mehdi.Dogguy@ens.fr>
Cc: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>, 667863@bugs.debian.org
Subject: Re: Britney hints for octave transition
Date: Mon, 16 Apr 2012 12:17:45 +0200
[Message part 1 (text/plain, inline)]
Mehdi Dogguy <Mehdi.Dogguy@ens.fr> writes:

> [ Dropped CC to -release and replaced it by 667863@bugs.debian.org ]
>
> On 16/04/12 11:26, Sébastien Villemot wrote:
>> Hi,
>>
>> As part of the octave transition, the following hints should be
>> added to allow testing migration of a bunch of Octave-related
>> packages:
>>
>> easy octave-communications/1.1.0-2  octave-control/2.3.50-1
>> octave-data-smoothing/1.3.0-2 octave-econometrics/1:1.0.8-6
>> octave-financial/0.3.2-3 octave-ga/0.9.8-3
>> octave-miscellaneous/1.1.0-1 octave-optim/1.0.17-2
>> octave-signal/1.1.2-1 octave-statistics/1.1.0-1
>> octave-struct/1.0.9-2 octave-time/1.0.9-4 octave-vrml/1.0.11-2
>
>> easy octave-ocs/0.1.3-1 octave-odepkg/0.8.0-1
>>
>
> octave-ocs and octave-odepkg need to migrate at the same time as the
> other packages. So they should be part of the big easy hint.

I don't think so, they are not in the same dependency loop. But having
everything in the same hint doesn't hurt anyways.

> I've added the easy hint and will be processed shortly. (So we will see
> if it did work) but I still see "red" packages on the transition tracker
> [1]. So the transition is now completely finished yet (as I understand
> it). Am I wrong? Is anyone working on getting those "red" packages fixed?

We are going to request the removal of octave-parallel and semidef-oct.

The other packages are not maintained by the Debian Octave Group, so we
cannot act directly. We have filed bugs against libgdf (#666894) and
pfstools (#666959). A bug still needs to be filed against libsml, we’ll
do it shortly.

Best,

-- 
Sébastien Villemot
Researcher in Economics & Debian Maintainer
http://www.dynare.org/sebastien
Phone: +33-1-40-77-84-04 - GPG Key: 4096R/381A7594
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667863; Package release.debian.org. (Mon, 16 Apr 2012 10:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien.villemot@ens.fr>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 16 Apr 2012 10:27:11 GMT) Full text and rfc822 format available.

Message #21 received at 667863@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien.villemot@ens.fr>
To: Mehdi Dogguy <Mehdi.Dogguy@ens.fr>
Cc: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>, 667863@bugs.debian.org
Subject: Re: Britney hints for octave transition
Date: Mon, 16 Apr 2012 12:21:49 +0200
[Message part 1 (text/plain, inline)]
Sébastien Villemot <sebastien.villemot@ens.fr> writes:

> A bug still needs to be filed against libsml, we’ll
> do it shortly.

Sorry, double mistake here: first, it is libsBml; second, no need to
file an Octave-related bug, the problem is an FTBFS on s390x.

Thanks,

-- 
Sébastien Villemot
Researcher in Economics & Debian Maintainer
http://www.dynare.org/sebastien
Phone: +33-1-40-77-84-04 - GPG Key: 4096R/381A7594
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667863; Package release.debian.org. (Mon, 16 Apr 2012 10:27:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <Mehdi.Dogguy@ens.fr>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 16 Apr 2012 10:27:19 GMT) Full text and rfc822 format available.

Message #26 received at 667863@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <Mehdi.Dogguy@ens.fr>
To: Sébastien Villemot <sebastien.villemot@ens.fr>
Cc: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>, 667863@bugs.debian.org
Subject: Re: Britney hints for octave transition
Date: Mon, 16 Apr 2012 11:51:25 +0200
[ Dropped CC to -release and replaced it by 667863@bugs.debian.org ]

On 16/04/12 11:26, Sébastien Villemot wrote:
> Hi,
>
> As part of the octave transition, the following hints should be
> added to allow testing migration of a bunch of Octave-related
> packages:
>
> easy octave-communications/1.1.0-2  octave-control/2.3.50-1
> octave-data-smoothing/1.3.0-2 octave-econometrics/1:1.0.8-6
> octave-financial/0.3.2-3 octave-ga/0.9.8-3
> octave-miscellaneous/1.1.0-1 octave-optim/1.0.17-2
> octave-signal/1.1.2-1 octave-statistics/1.1.0-1
> octave-struct/1.0.9-2 octave-time/1.0.9-4 octave-vrml/1.0.11-2

> easy octave-ocs/0.1.3-1 octave-odepkg/0.8.0-1
>

octave-ocs and octave-odepkg need to migrate at the same time as the
other packages. So they should be part of the big easy hint.

I've added the easy hint and will be processed shortly. (So we will see
if it did work) but I still see "red" packages on the transition tracker
[1]. So the transition is now completely finished yet (as I understand
it). Am I wrong? Is anyone working on getting those "red" packages fixed?

[1] http://release.debian.org/transitions/html/octave.html

Regards,

-- 
Mehdi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667863; Package release.debian.org. (Mon, 16 Apr 2012 13:06:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien.villemot@ens.fr>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 16 Apr 2012 13:06:33 GMT) Full text and rfc822 format available.

Message #31 received at 667863@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien.villemot@ens.fr>
To: Joachim Breitner <nomeata@debian.org>
Cc: 667863@bugs.debian.org, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Subject: Re: Bug#667863: Britney hints for octave transition
Date: Mon, 16 Apr 2012 15:02:53 +0200
[Message part 1 (text/plain, inline)]
Joachim Breitner <nomeata@debian.org> writes:

> Am Montag, den 16.04.2012, 11:51 +0200 schrieb Mehdi Dogguy:
>> [ Dropped CC to -release and replaced it by 667863@bugs.debian.org ]
>> 
>> On 16/04/12 11:26, Sébastien Villemot wrote:
>> > Hi,
>> >
>> > As part of the octave transition, the following hints should be
>> > added to allow testing migration of a bunch of Octave-related
>> > packages:
>> >
>> > easy octave-communications/1.1.0-2  octave-control/2.3.50-1
>> > octave-data-smoothing/1.3.0-2 octave-econometrics/1:1.0.8-6
>> > octave-financial/0.3.2-3 octave-ga/0.9.8-3
>> > octave-miscellaneous/1.1.0-1 octave-optim/1.0.17-2
>> > octave-signal/1.1.2-1 octave-statistics/1.1.0-1
>> > octave-struct/1.0.9-2 octave-time/1.0.9-4 octave-vrml/1.0.11-2
>> 
>> > easy octave-ocs/0.1.3-1 octave-odepkg/0.8.0-1
>> >
>> 
>> octave-ocs and octave-odepkg need to migrate at the same time as the
>> other packages. So they should be part of the big easy hint.
>
> Are you sure? SAT-Britney also thinks that they can migrate separately.
>
>> I've added the easy hint and will be processed shortly. (So we will see
>> if it did work)
>
> It worked:
> http://release.debian.org/britney/update_output.txt
> But actually, no manual work should have been necessary; SAT-Britney did
> come up with exactly the hints that Sébastien submitted.

Sorry then for having requested useless manual intervention. I was not
aware of SAT-Britney, it seems to work well :)

Thanks,

-- 
Sébastien Villemot
Researcher in Economics & Debian Maintainer
http://www.dynare.org/sebastien
Phone: +33-1-40-77-84-04 - GPG Key: 4096R/381A7594
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667863; Package release.debian.org. (Mon, 16 Apr 2012 13:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 16 Apr 2012 13:27:08 GMT) Full text and rfc822 format available.

Message #36 received at 667863@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Sébastien Villemot <sebastien.villemot@ens.fr>
Cc: 667863@bugs.debian.org, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Subject: Re: Bug#667863: Britney hints for octave transition
Date: Mon, 16 Apr 2012 15:04:49 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Montag, den 16.04.2012, 15:02 +0200 schrieb Sébastien Villemot:
> Joachim Breitner <nomeata@debian.org> writes:
> 
> > Am Montag, den 16.04.2012, 11:51 +0200 schrieb Mehdi Dogguy:
> >> [ Dropped CC to -release and replaced it by 667863@bugs.debian.org ]
> >> 
> >> On 16/04/12 11:26, Sébastien Villemot wrote:
> >> > Hi,
> >> >
> >> > As part of the octave transition, the following hints should be
> >> > added to allow testing migration of a bunch of Octave-related
> >> > packages:
> >> >
> >> > easy octave-communications/1.1.0-2  octave-control/2.3.50-1
> >> > octave-data-smoothing/1.3.0-2 octave-econometrics/1:1.0.8-6
> >> > octave-financial/0.3.2-3 octave-ga/0.9.8-3
> >> > octave-miscellaneous/1.1.0-1 octave-optim/1.0.17-2
> >> > octave-signal/1.1.2-1 octave-statistics/1.1.0-1
> >> > octave-struct/1.0.9-2 octave-time/1.0.9-4 octave-vrml/1.0.11-2
> >> 
> >> > easy octave-ocs/0.1.3-1 octave-odepkg/0.8.0-1
> >> >
> >> 
> >> octave-ocs and octave-odepkg need to migrate at the same time as the
> >> other packages. So they should be part of the big easy hint.
> >
> > Are you sure? SAT-Britney also thinks that they can migrate separately.
> >
> >> I've added the easy hint and will be processed shortly. (So we will see
> >> if it did work)
> >
> > It worked:
> > http://release.debian.org/britney/update_output.txt
> > But actually, no manual work should have been necessary; SAT-Britney did
> > come up with exactly the hints that Sébastien submitted.
> 
> Sorry then for having requested useless manual intervention. I was not
> aware of SAT-Britney, it seems to work well :)

no need to be sorry, it is new and not well-known. That’s why I’m
advertising it, hoping to save you some work next time :-)

Greetings,
Joachim


-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667863; Package release.debian.org. (Mon, 16 Apr 2012 13:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 16 Apr 2012 13:27:10 GMT) Full text and rfc822 format available.

Message #41 received at 667863@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 667863@bugs.debian.org
Cc: Sébastien Villemot <sebastien.villemot@ens.fr>, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Subject: Re: Bug#667863: Britney hints for octave transition
Date: Mon, 16 Apr 2012 14:10:31 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Montag, den 16.04.2012, 11:51 +0200 schrieb Mehdi Dogguy:
> [ Dropped CC to -release and replaced it by 667863@bugs.debian.org ]
> 
> On 16/04/12 11:26, Sébastien Villemot wrote:
> > Hi,
> >
> > As part of the octave transition, the following hints should be
> > added to allow testing migration of a bunch of Octave-related
> > packages:
> >
> > easy octave-communications/1.1.0-2  octave-control/2.3.50-1
> > octave-data-smoothing/1.3.0-2 octave-econometrics/1:1.0.8-6
> > octave-financial/0.3.2-3 octave-ga/0.9.8-3
> > octave-miscellaneous/1.1.0-1 octave-optim/1.0.17-2
> > octave-signal/1.1.2-1 octave-statistics/1.1.0-1
> > octave-struct/1.0.9-2 octave-time/1.0.9-4 octave-vrml/1.0.11-2
> 
> > easy octave-ocs/0.1.3-1 octave-odepkg/0.8.0-1
> >
> 
> octave-ocs and octave-odepkg need to migrate at the same time as the
> other packages. So they should be part of the big easy hint.

Are you sure? SAT-Britney also thinks that they can migrate separately.

> I've added the easy hint and will be processed shortly. (So we will see
> if it did work)

It worked:
http://release.debian.org/britney/update_output.txt
But actually, no manual work should have been necessary; SAT-Britney did
come up with exactly the hints that Sébastien submitted.

Greetings,
Joachim


-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 667863: 669226 and 669231 Request was from Sébastien Villemot <sebastien.villemot@ens.fr> to control@bugs.debian.org. (Wed, 18 Apr 2012 09:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, pkg-octave-devel@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667863; Package release.debian.org. (Tue, 01 May 2012 20:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien.villemot@ens.fr>:
Extra info received and forwarded to list. Copy sent to pkg-octave-devel@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Tue, 01 May 2012 20:15:07 GMT) Full text and rfc822 format available.

Message #48 received at 667863@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien.villemot@ens.fr>
To: Debian Bug Tracking System <667863@bugs.debian.org>
Subject: release.debian.org: Raising severity of bugs blocking the octave transition?
Date: Tue, 01 May 2012 22:13:19 +0200
Package: release.debian.org
Followup-For: Bug #667863
User: release.debian.org@packages.debian.org
Usertags: transition

The octave transition is well under way, but it is still blocked by a few
packages which have not yet adapted to the new octave packaging scheme. The
goal of the Debian Octave Group is to remove the old octave3.2* packages before
the Wheezy release. Currently this removal is blocked by the 5 bugs listed as
blockers of the present bug. These bugs were submitted about one month ago,
they are currently of severity important, and we provided a patch for all of
them.

Our question is the following: does the Release Team think it is appropriate to
raise the severity of these bugs to serious, in order to ensure that the
octave3.2* removal will happen before the Wheezy release?

Thanks,

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (600, 'unstable'), (550, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667863; Package release.debian.org. (Sat, 05 May 2012 08:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 05 May 2012 08:54:06 GMT) Full text and rfc822 format available.

Message #53 received at 667863@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Sébastien Villemot <sebastien.villemot@ens.fr>, 667863@bugs.debian.org
Subject: Re: Bug#667863: release.debian.org: Raising severity of bugs blocking the octave transition?
Date: Sat, 5 May 2012 10:48:19 +0200
[Message part 1 (text/plain, inline)]
On Tue, May  1, 2012 at 22:13:19 +0200, Sébastien Villemot wrote:

> Package: release.debian.org
> Followup-For: Bug #667863
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> The octave transition is well under way, but it is still blocked by a few
> packages which have not yet adapted to the new octave packaging scheme. The
> goal of the Debian Octave Group is to remove the old octave3.2* packages before
> the Wheezy release. Currently this removal is blocked by the 5 bugs listed as
> blockers of the present bug. These bugs were submitted about one month ago,
> they are currently of severity important, and we provided a patch for all of
> them.
> 
> Our question is the following: does the Release Team think it is appropriate to
> raise the severity of these bugs to serious, in order to ensure that the
> octave3.2* removal will happen before the Wheezy release?
> 
I have no particular opinion on bug severity, but if you want to make
that removal happen then NMUs (using the delayed queue) seem an
appropriate way forward?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667863; Package release.debian.org. (Sun, 10 Jun 2012 10:17:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien.villemot@ens.fr>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 10 Jun 2012 10:17:19 GMT) Full text and rfc822 format available.

Message #58 received at 667863@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien.villemot@ens.fr>
To: Debian Bug Tracking System <667863@bugs.debian.org>
Subject: Re: transition: octave 3.2 -> 3.6
Date: Sun, 10 Jun 2012 12:11:04 +0200
Package: release.debian.org
Followup-For: Bug #667863
User: release.debian.org@packages.debian.org
Usertags: transition

All source uploads/NMUs concerning this transition have been done, and the
octave3.2 package has been removed from unstable.

The only thing left is to have testing in sync.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (600, 'unstable'), (550, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Added blocking bug(s) of 667863: 672751 Request was from Rafael Laboissiere <rafael@laboissiere.net> to control@bugs.debian.org. (Sun, 10 Jun 2012 10:31:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667863; Package release.debian.org. (Sun, 10 Jun 2012 11:16:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 10 Jun 2012 11:16:11 GMT) Full text and rfc822 format available.

Message #65 received at 667863@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Sébastien Villemot <sebastien.villemot@ens.fr>, 667863@bugs.debian.org
Subject: Re: Bug#667863: transition: octave 3.2 -> 3.6
Date: Sun, 10 Jun 2012 12:59:39 +0200
[Message part 1 (text/plain, inline)]
Sébastien Villemot <sebastien.villemot@ens.fr> (10/06/2012):
> All source uploads/NMUs concerning this transition have been done, and
> the octave3.2 package has been removed from unstable.

That looks great, thanks for the follow-up.

> The only thing left is to have testing in sync.

I'll look into this.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667863; Package release.debian.org. (Wed, 13 Jun 2012 07:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Laboissiere <rafael@laboissiere.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 13 Jun 2012 07:48:08 GMT) Full text and rfc822 format available.

Message #70 received at 667863@bugs.debian.org (full text, mbox):

From: Rafael Laboissiere <rafael@laboissiere.net>
To: Cyril Brulebois <kibi@debian.org>
Cc: Sébastien Villemot <sebastien.villemot@ens.fr>, 667863@bugs.debian.org
Subject: Re: Bug#667863: transition: octave 3.2 -> 3.6
Date: Wed, 13 Jun 2012 09:44:28 +0200
* Cyril Brulebois <kibi@debian.org> [2012-06-10 12:59]:

> Sébastien Villemot <sebastien.villemot@ens.fr> (10/06/2012):
> > All source uploads/NMUs concerning this transition have been done, and
> > the octave3.2 package has been removed from unstable.
> 
> That looks great, thanks for the follow-up.
> 
> > The only thing left is to have testing in sync.
> 
> I'll look into this.

I am not familiar with how ftpmaster works, but according to the Wiki [1],
the octave3.2 package will be removed automatically from testing, once
pfstools_1.8.5-0.1 (5 days from now) and debian-edu_1.700 (3 days from
now) will migrate into testing.  Indeed, the situation in testing right
now is as follows:

    $ apt-cache rdepends octave3.2
    octave3.2
    Reverse Depends:
      pfstools
      octave-pfstools
      octave3.2-htmldoc
      octave3.2-headers
      octave3.2-emacsen
      octave3.2-doc
      octave3.2-dbg
      octave
      octave
      education-mathematics

Am I correct?  Another question is: do automatic removals also happen
during the freeze?

We must really ensure that octave3.2 does not sneak into wheezy.

Rafael

[1] http://wiki.debian.org/ftpmaster_Removals




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667863; Package release.debian.org. (Wed, 13 Jun 2012 08:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 13 Jun 2012 08:36:07 GMT) Full text and rfc822 format available.

Message #75 received at 667863@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Rafael Laboissiere <rafael@laboissiere.net>, 667863@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>, Sébastien Villemot <sebastien.villemot@ens.fr>
Subject: Re: Bug#667863: transition: octave 3.2 -> 3.6
Date: Wed, 13 Jun 2012 10:34:19 +0200
On Wed, Jun 13, 2012 at 09:44:28 +0200, Rafael Laboissiere wrote:

> I am not familiar with how ftpmaster works, but according to the Wiki [1],
> the octave3.2 package will be removed automatically from testing, once
> pfstools_1.8.5-0.1 (5 days from now) and debian-edu_1.700 (3 days from
> now) will migrate into testing.
>
Only pfstools, debian-edu is just a Suggests.

[...]
> Am I correct?  Another question is: do automatic removals also happen
> during the freeze?
> 
Yes, and yes.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667863; Package release.debian.org. (Mon, 18 Jun 2012 18:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 18 Jun 2012 18:30:04 GMT) Full text and rfc822 format available.

Message #80 received at 667863@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Rafael Laboissiere <rafael@laboissiere.net>, 667863@bugs.debian.org
Cc: Sébastien Villemot <sebastien.villemot@ens.fr>
Subject: Re: Bug#667863: transition: octave 3.2 -> 3.6
Date: Mon, 18 Jun 2012 20:27:42 +0200
[Message part 1 (text/plain, inline)]
Hello folks,

Rafael Laboissiere <rafael@laboissiere.net> (13/06/2012):
> I am not familiar with how ftpmaster works, but according to the Wiki
> [1], the octave3.2 package will be removed automatically from testing,
> once pfstools_1.8.5-0.1 (5 days from now) and debian-edu_1.700 (3 days
> from now) will migrate into testing.  Indeed, the situation in testing
> right now is as follows:
> 
>     $ apt-cache rdepends octave3.2
>     octave3.2
>     Reverse Depends:
>       pfstools
>       octave-pfstools
>       octave3.2-htmldoc
>       octave3.2-headers
>       octave3.2-emacsen
>       octave3.2-doc
>       octave3.2-dbg
>       octave
>       octave
>       education-mathematics

kibi@franck:~$ dak ls octave3.2 -S -s testing
kibi@franck:~$ 

All done I think?

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Mon, 18 Jun 2012 18:36:12 GMT) Full text and rfc822 format available.

Notification sent to Rafael Laboissiere <rafael@laboissiere.net>:
Bug acknowledged by developer. (Mon, 18 Jun 2012 18:36:12 GMT) Full text and rfc822 format available.

Message #85 received at 667863-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 667863-done@bugs.debian.org
Cc: Rafael Laboissiere <rafael@laboissiere.net>, Sébastien Villemot <sebastien.villemot@ens.fr>
Subject: Re: Bug#667863: transition: octave 3.2 -> 3.6
Date: Mon, 18 Jun 2012 20:34:21 +0200
On Mon, Jun 18, 2012 at 20:27:42 +0200, Cyril Brulebois wrote:

> kibi@franck:~$ dak ls octave3.2 -S -s testing
> kibi@franck:~$ 
> 
> All done I think?
> 
Indeed.  Closing.

Cheers,
Julien




Message #86 received at 667863-done@bugs.debian.org (full text, mbox):

From: Rafael Laboissiere <rafael@laboissiere.net>
To: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Cc: 667863-done@bugs.debian.org
Subject: Re: [Pkg-octave-devel] octave3.2 REMOVED from testing
Date: Mon, 18 Jun 2012 20:06:41 +0200
With the removal below, the transition 3.2 -> 3.6 is finally over.  A
big thanks to everybody who contributed to making it become a reality
before the wheezy freeze.

I am hereby closing the bug report filed against this transition.

Rafael

* Debian testing watch <noreply@release.debian.org> [2012-06-18 16:39]:

> FYI: The status of the octave3.2 source package
> in Debian's testing distribution has changed.
> 
>   Previous version: 3.2.4-12
>   Current version:  (not in testing)
>   Hint: Package not in unstable
> 
> The script that generates this mail tries to extract removal
> reasons from comments in the britney hint files. Those comments
> were not originally meant to be machine readable, so if the
> reason for removing your package seems to be nonsense, it is
> probably the reporting script that got confused. Please check the
> actual hints file before you complain about meaningless removals.





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 Jul 2012 07:29:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:27:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.